Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementnormalize Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementnormalize (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "normalize()" method puts all the nodes in the full depth of the sub-tree underneath this element into a "normal" form.

Retrieve the third employee and access its second child. This child contains a block of text that is spread across multiple lines. The content of the "name" child should be parsed and treated as a single Text node.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-162CF083

Definition at line 46 of file elementnormalize.java.

## Constructor & Destructor Documentation

elementnormalize::elementnormalize | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file elementnormalize.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String elementnormalize::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 71 of file elementnormalize.java.
    00071                                 {
    00072       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementnormalize";
    00073    }

void elementnormalize::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 74 of file elementnormalize.java. References DOMTestCase::doMain().
    00074                                           {
    00075         DOMTestCase.doMain(elementnormalize.class,args);
    00076    }

void elementnormalize::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file elementnormalize.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       Element root;
    00057       NodeList elementList;
    00058       Element testName;
    00059       Node firstChild;
    00060       String childValue;
    00061       doc = load("staff");
    00062       root = doc.getDocumentElement();
    00063       root.normalize();
    00064       elementList = root.getElementsByTagName("name");
    00065       testName = (Element)elementList.item(2);
    00066       firstChild = testName.getFirstChild();
    00067       childValue = firstChild.getNodeValue();
    00068       assertEquals("elementNormalizeAssert","Roger\n Jones",childValue);
    00069
    00070    }

The documentation for this class was generated from the following file:

- elementnormalize.java